summaryrefslogtreecommitdiffstats
path: root/office/kchmviewer
diff options
context:
space:
mode:
author Michiel van Wessem <michiel.van.wessem@gmail.com>2010-05-11 15:03:02 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:03:02 +0200
commiteb394292a723146106acc9b13cc923f4c0b09123 (patch)
treee2375e97231bb165615b6b0abce9ae6342ec680b /office/kchmviewer
parent84e7fc6dcbb15dd3825f78dc2afbb5da1a9b7d59 (diff)
downloadslackbuilds-eb394292a723146106acc9b13cc923f4c0b09123.tar.gz
slackbuilds-eb394292a723146106acc9b13cc923f4c0b09123.tar.xz
office/kchmviewer: Initial import
Diffstat (limited to 'office/kchmviewer')
-rw-r--r--office/kchmviewer/README17
-rw-r--r--office/kchmviewer/kchmviewer.SlackBuild66
-rw-r--r--office/kchmviewer/kchmviewer.info8
-rw-r--r--office/kchmviewer/slack-desc11
4 files changed, 102 insertions, 0 deletions
diff --git a/office/kchmviewer/README b/office/kchmviewer/README
new file mode 100644
index 0000000000..739875d33c
--- /dev/null
+++ b/office/kchmviewer/README
@@ -0,0 +1,17 @@
+KchmViewer is a chm (MS HTML help file format) viewer written in
+C++. Unlike most existing CHM viewers for Unix, it uses the
+Trolltech Qt widget library and does not depend on KDE or Gnome.
+However, it may be compiled with full KDE support including KDE
+widgets and KIO/KHTML.
+
+The main advantage of KchmViewer is extra support for non-English
+languages. Unlike other viewers, KchmViewer in most cases is able
+to detect help file encoding, correctly shows tables of contents of
+Russian, Korean, Chinese and Japanese help files, and does correct
+search in non-English help files (search for MBCS languages -
+ja/ko/ch is still in progress).
+
+KchmViewer is written by George Yunaev (see the contacts page
+for details), and is licensed under the GNU GPL license. It uses
+chmlib and some ideas and code from xhcm.
+
diff --git a/office/kchmviewer/kchmviewer.SlackBuild b/office/kchmviewer/kchmviewer.SlackBuild
new file mode 100644
index 0000000000..ce7f72d000
--- /dev/null
+++ b/office/kchmviewer/kchmviewer.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+#
+# SlackBuild script for KchmViewer.
+# Written by Michiel van Wessem (BP{k}) <michiel.van.wessem@gmail.com
+# Modified by the SlackBuilds.org project
+
+PRGNAM=kchmviewer
+VERSION=3.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCFILES="COPYING ChangeLog DCOP-bindings README FAQ "
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP || exit 1
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure --prefix=/opt/kde \
+ --disable-debug \
+ --with-kde \
+ --program-prefix="" \
+ --program-suffix="" \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+if [ -d $PKG/opt/kde/share/man ]; then
+ ( cd $PKG/opt/kde/share/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ )
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/office/kchmviewer/kchmviewer.info b/office/kchmviewer/kchmviewer.info
new file mode 100644
index 0000000000..b87262512f
--- /dev/null
+++ b/office/kchmviewer/kchmviewer.info
@@ -0,0 +1,8 @@
+PRGNAM="kchmviewer"
+VERSION="3.0"
+HOMEPAGE="http://www.kchmviewer.net"
+DOWNLOAD="http://dl.sourceforge.net/kchmviewer/kchmviewer-3.0.tar.gz"
+MD5SUM="f14b7c5be4154dfc688bef7ebd3879ff"
+MAINTAINER="Michiel van Wessem"
+EMAIL="michiel.van.wessem@gmail.com"
+APPROVED="rworkman"
diff --git a/office/kchmviewer/slack-desc b/office/kchmviewer/slack-desc
new file mode 100644
index 0000000000..80e73d9d6b
--- /dev/null
+++ b/office/kchmviewer/slack-desc
@@ -0,0 +1,11 @@
+kchmviewer: KchmViewer
+kchmviewer:
+kchmviewer: KchmViewer is a chm (MS HTML help file format) viewer written in
+kchmviewer: C++. Unlike most existing CHM viewers for Unix, it uses the
+kchmviewer: Trolltech Qt widget library and does not depend on KDE or Gnome.
+kchmviewer: However, it may be compiled with full KDE support, including KDE
+kchmviewer: widgets and KIO/KHTML.
+kchmviewer:
+kchmviewer: http://kchmviewer.sourceforge.net/
+kchmviewer:
+kchmviewer: